1. Register NOW and become part of this fantastic knowledge base forum! This message will go away once you have registered.

Buyer Beware: IK Plug-ins and Logic...

Discussion in 'Logic' started by backinthelab, Mar 2, 2007.

  1. backinthelab

    backinthelab Guest

    I wanted to put a warning out there so that you don't go through the same BS I did. Here's the skinny:

    I purchased IK Multimedia's Effects Bundle. The whole package was about $600. This includes the following plugs:

    It states on IK's site that it's Audio Unit compatible and minimum system requirements are that you're running OSX 10.3.9. All fine and dandy like cotton candy, right? Not a chance. Here's the problem, Ampeg and Amplitube will NOT authorize in the AU manager in Logic and will crash Logic upon exit if you try to run them unauthorized. They even crash in stand-alone operation. I contacted IK support (a joke) here are the responses I got:

    "This will happen in your version of panther. if/when you go to tiger you will not have this issue anymore"

    "I am sorry but there is an issue that only happens in Logic Au that doesnt happen in any other AU host and AT is written to apples AU standard. It does work, but you will this au crashing as you leave logic."

    "it is compatiable with 10.3.9 but here was a problem with logic after release that didnt show itself until. If you purchased it from a vendor then they are not going to give you a refund because its been registered."

    So, the long and the short of it is that I'm now currently on hold with thier support trying to reach someone with a pulse. Great customer service, huh?

    Disclaimer: This post is not meant to flame IK, but to warn the Logic users out there about likely problems they'll have installing this bundle. I've spent COUNTLESS hours down, trying to fix these issues. Unfortunately support doesn't want to help their customers. A damn shame. :evil:
  2. gdoubleyou

    gdoubleyou Distinguished Member

    Mar 19, 2003
    Kirkland WA
    Home Page:
    I had issues with the OSX transition of GrooveMaker, so I haven't even considered another one of their products.

    Save yourself some heartburn upgrade to 10.4. :?

  3. backinthelab

    backinthelab Guest

    Update: I had planned on moving to Tiger, especially since Jaguar will be out soon. So, I upgraded and all works fine in 10.4. I actually got through to the supervisor of the tech guy at IK and he was very friendly and apologetic. He made things much better after dealing with that first guy.

    Anyways, please be aware that there are compatibility issues in 10.3 with IK products. If you've found this in a search because you're having the same problems, feel free to e-mail me if you have questions.

Share This Page